Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class CleanerThread.SoftReferenceCleared

    java.lang.Object
      java.lang.ref.Reference
          java.lang.ref.SoftReference
              org.apache.batik.util.CleanerThread.SoftReferenceCleared

All Implemented Interfaces:
  CleanerThread.ReferenceCleared

Direct Known Subclasses:
  BridgeContext.SoftReferenceMememto

Enclosing class:
  CleanerThread

public abstract static class CleanerThread.SoftReferenceCleared
extends java.lang.ref.SoftReference
implements CleanerThread.ReferenceCleared

A SoftReference subclass that automatically registers with the cleaner ReferenceQueue.

Constructor Summary
`CleanerThread.SoftReferenceCleared(java.lang.Object o)`

Methods inherited from class java.lang.ref.SoftReference
`get`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.util.CleanerThread.ReferenceCleared
`cleared`

Constructor Detail

### CleanerThread.SoftReferenceCleared

    public CleanerThread.SoftReferenceCleared(java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.